import CloudKernel from 'mpserverless-sdk-core';
import * as $tea from '@alicloud/tea-typescript';
export declare class SendSmsRequest extends $tea.Model {
    phoneNumbers: string;
    signName: string;
    templateCode: string;
    templateParam: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class SendSmsResponse extends $tea.Model {
    requestId: string;
    code: string;
    message: string;
    bizId: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class SendBatchSmsRequest extends $tea.Model {
    phoneNumberJson: string;
    signNameJson: string;
    templateCode: string;
    templateParamJson: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class SendBatchSmsResponse extends $tea.Model {
    requestId: string;
    code: string;
    message: string;
    bizId: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client {
    _kernel: CloudKernel;
    constructor(_kernel: CloudKernel);
    send(req: SendSmsRequest): Promise<SendSmsResponse>;
    batchSend(req: SendBatchSmsRequest): Promise<SendBatchSmsResponse>;
}
