import CloudKernel from 'mpserverless-sdk-core';
import * as $tea from '@alicloud/tea-typescript';
export declare class WayBillInvoiceIstdInfo extends $tea.Model {
    waybillNo: string;
    shopNo?: string;
    waybillAmount?: string;
    waybillInvoiceStatus: number;
    reason?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayInstantDeliveryInvoiceQueryResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    status: number;
    thirdErrorCode?: string;
    thirdErrorMsg?: string;
    waybillInvoices: WayBillInvoiceIstdInfo[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayInstantDeliveryInvoiceQueryRequest extends $tea.Model {
    logisticsCode: string;
    outInvoiceRequestNo: string;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class WaybillInvoiceInfo extends $tea.Model {
    waybillNo: string;
    waybillAmount: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class InvoiceInfo extends $tea.Model {
    invoiceType: number;
    titleType: number;
    invoiceTitle: string;
    taxNumber: string;
    invoiceContent: string;
    receiver: string;
    phone: string;
    email: string;
    invoiceFee: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayInstantDeliveryInvoiceCreateResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    status: number;
    invoice_fee: string;
    thirdErrorCode?: string;
    thirdErrorMsg?: string;
    waybillInvoices: WayBillInvoiceIstdInfo[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayInstantDeliveryInvoiceCreateRequest extends $tea.Model {
    logisticsCode: string;
    outInvoiceRequestNo: string;
    invoice: InvoiceInfo;
    waybillInvoices: WaybillInvoiceInfo[];
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client {
    _kernel: CloudKernel;
    constructor(_kernel: CloudKernel);
    query(req: AlipayInstantDeliveryInvoiceQueryRequest): Promise<AlipayInstantDeliveryInvoiceQueryResponse>;
    create(req: AlipayInstantDeliveryInvoiceCreateRequest): Promise<AlipayInstantDeliveryInvoiceCreateResponse>;
}
