import CloudKernel from 'mpserverless-sdk-core';
import * as $tea from '@alicloud/tea-typescript';
export declare class LogisticsCompanyIstdInfo extends $tea.Model {
    logisticsCode: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class SenderIstdInfo extends $tea.Model {
    name: string;
    city: string;
    address: string;
    addressDetail: string;
    mobileNo: string;
    lng: number;
    lat: number;
    coordinateType: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ReceiverIstdInfo extends $tea.Model {
    name: string;
    city: string;
    address: string;
    addressDetail: string;
    mobileNo: string;
    lng: number;
    lat: number;
    coordinateType: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GoodsInfoIstdInfo extends $tea.Model {
    price: string;
    height?: number;
    length?: number;
    width?: number;
    weight: number;
    pickupInfo?: string;
    deliveryInfo?: string;
    firstClass: string;
    secondClass: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GoodsDetailIstdInfo extends $tea.Model {
    count: number;
    name: string;
    price?: string;
    unit: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OrderExtIstdInfo extends $tea.Model {
    deliveryType?: number;
    expectedDeliveryTime?: string;
    expectedFinishTime?: string;
    expectedPickTime?: string;
    poiSeq?: string;
    desc?: string;
    consumerOrderTime?: string;
    isInsured?: number;
    insurePrice?: string;
    isDirectDelivery?: number;
    cashOnDelivery?: string;
    cashOnPickup?: string;
    deliveryDirection?: number;
    isFinishCodeNeeded?: number;
    isPickupCodeNeeded?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ConsumerNotifyIstdInfo extends $tea.Model {
    tinyAppId?: string;
    tinyAppUrl?: string;
    goodsImg: string;
    goodsName: string;
    goodsCount: number;
    merchantName?: string;
    merchantMobile: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class PreCreateWaybillIstdInfo extends $tea.Model {
    logisticsCode: string;
    serviceCode?: string;
    logisticsToken?: string;
    payAmount: string;
    fee: string;
    deliverFee?: string;
    couponFee?: string;
    insuranceFee?: string;
    distance?: number;
    dispatchDuration?: number;
    thirdCode: string;
    thirdErrorCode?: string;
    thirdErrorMsg?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayInstantDeliveryOrderPreCreateResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    waybills: PreCreateWaybillIstdInfo[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayInstantDeliveryOrderPreCreateRequest extends $tea.Model {
    outOrderNo: string;
    shopNo: string;
    consumerId?: string;
    logisticsCompanies: LogisticsCompanyIstdInfo[];
    sender?: SenderIstdInfo;
    receiver: ReceiverIstdInfo;
    goodsInfo: GoodsInfoIstdInfo;
    goodsDetails?: GoodsDetailIstdInfo[];
    orderExtIstd?: OrderExtIstdInfo;
    consumerNotify: ConsumerNotifyIstdInfo;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayInstantDeliveryOrderCreateRequest extends $tea.Model {
    logisticsCode: string;
    logisticsToken?: string;
    outOrderNo: string;
    shopNo: string;
    consumerId?: string;
    sender?: SenderIstdInfo;
    receiver: ReceiverIstdInfo;
    goodsInfo: GoodsInfoIstdInfo;
    goodsDetails?: GoodsDetailIstdInfo[];
    orderExtIstd?: OrderExtIstdInfo;
    consumerNotify: ConsumerNotifyIstdInfo;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayInstantDeliveryOrderCreateResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    orderNo: string;
    waybillNo: string;
    status: string;
    payAmount: string;
    fee: string;
    deliverFee?: string;
    couponFee?: string;
    insuranceFee?: string;
    distance?: number;
    dispatchDuration?: number;
    finishCode?: string;
    pickupCode?: string;
    thirdErrorCode?: string;
    thirdErrorMsg?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayInstantDeliveryOrderCancelRequest extends $tea.Model {
    logisticsCode: string;
    orderNo?: string;
    outOrderNo?: string;
    waybillNo: string;
    cancelReasonId: string;
    cancelReason?: string;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayInstantDeliveryOrderCancelResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    thirdErrorCode?: string;
    thirdErrorMsg?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayInstantDeliveryOrderQueryRequest extends $tea.Model {
    shopNo: string;
    outOrderNo: string;
    orderNo?: string;
    logisticsCode: string;
    waybillNo: string;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayInstantDeliveryOrderQueryResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    status: string;
    riderName?: string;
    riderMobileNo: string;
    riderLng?: number;
    riderLat?: number;
    reachDuration?: number;
    thirdErrorCode?: string;
    thirdErrorMsg?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client {
    _kernel: CloudKernel;
    constructor(_kernel: CloudKernel);
    precreate(req: AlipayInstantDeliveryOrderPreCreateRequest): Promise<AlipayInstantDeliveryOrderPreCreateResponse>;
    create(req: AlipayInstantDeliveryOrderCreateRequest): Promise<AlipayInstantDeliveryOrderCreateResponse>;
    cancel(req: AlipayInstantDeliveryOrderCancelRequest): Promise<AlipayInstantDeliveryOrderCancelResponse>;
    query(req: AlipayInstantDeliveryOrderQueryRequest): Promise<AlipayInstantDeliveryOrderQueryResponse>;
}
