import CloudKernel from 'mpserverless-sdk-core';
import * as $tea from '@alicloud/tea-typescript';
export declare class AlipayFundTransUniTransferRequest extends $tea.Model {
    outBizNo: string;
    transAmount: string;
    payee: {
        [key: string]: any;
    };
    orderTitle: string;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayFundTransUniTransferResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    status: string;
    transDate: string;
    outBizNo: string;
    orderId: string;
    payFundOrderId: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayFundTransCommonQueryRequest extends $tea.Model {
    payFundOrderId: string;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayFundTransCommonQueryResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    outBizNo: string;
    orderId: string;
    payFundOrderId: string;
    status: string;
    transAmount: string;
    payDate: string;
    arrivalTimeEnd: string;
    orderFee: string;
    errorCode: string;
    failReason: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client {
    _kernel: CloudKernel;
    constructor(_kernel: CloudKernel);
    transfer(req: AlipayFundTransUniTransferRequest): Promise<AlipayFundTransUniTransferResponse>;
    query(req: AlipayFundTransCommonQueryRequest): Promise<AlipayFundTransCommonQueryResponse>;
}
