import CloudKernel from 'mpserverless-sdk-core';
import * as $tea from '@alicloud/tea-typescript';
export declare class AlipayMarktingCardActiveFormQueryRequest extends $tea.Model {
    bizType: string;
    templateId: string;
    requestId: string;
    authToken: string;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMarktingCardActiveFormQueryResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    infos: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class MerchantMenber extends $tea.Model {
    name?: string;
    gende?: string;
    birth?: string;
    cell?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CardUserInfo extends $tea.Model {
    userUniId: string;
    userUniIdType: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class MdCodeInfo extends $tea.Model {
    codeStatus: string;
    codeValue?: string;
    expireTime?: string;
    timeStamp: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CardFrontTextDTO extends $tea.Model {
    label?: string;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class MerchantCard extends $tea.Model {
    bizCardNo?: string;
    externalCardNo?: string;
    openDate: string;
    validDate: string;
    level?: string;
    point?: string;
    balance?: string;
    templateId?: string;
    mdcode_info?: MdCodeInfo;
    frontTextList?: CardFrontTextDTO[];
    frontImageId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMarktingCardOpenRequest extends $tea.Model {
    outSerialNo: string;
    cardTemplateId: string;
    cardUserInfo: CardUserInfo;
    cardExtInfo: MerchantCard;
    memberExtInfo?: MerchantMenber;
    openCardChannel?: string;
    openCardChannelId?: string;
    authToken: string;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMarktingCardOpenResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    cardInfo: MerchantCard;
    openCardChannel?: string;
    openCardChannelId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMarktingCardQueryRequest extends $tea.Model {
    targetCardNoType: string;
    targetCardNo: string;
    cardUserInfo?: CardUserInfo;
    extInfo?: string;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMarktingCardQueryResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    cardInfo: MerchantCard;
    schemaUrl: string;
    passId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client {
    _kernel: CloudKernel;
    constructor(_kernel: CloudKernel);
    queryActiveForm(req: AlipayMarktingCardActiveFormQueryRequest): Promise<AlipayMarktingCardActiveFormQueryResponse>;
    open(req: AlipayMarktingCardOpenRequest): Promise<AlipayMarktingCardOpenResponse>;
    query(req: AlipayMarktingCardQueryRequest): Promise<AlipayMarktingCardQueryResponse>;
}
