import CloudKernel from 'mpserverless-sdk-core';
import * as $tea from '@alicloud/tea-typescript';
export declare class CmItemInfo extends $tea.Model {
    itemId: string;
    type: string;
    status: string;
    frontCategoryIdList: string[];
    standardCategoryId?: string;
    targetId: string;
    description?: string;
    targetType: string;
    name: string;
    gmtCreate: string;
    gmtModified: string;
    skuList: CmItemSkuInfo[];
    materialList?: MaterialInfo[];
    extInfo?: ItemExtInfo[];
    propertyList?: ItemPropertyInfo[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CmItemSkuInfo extends $tea.Model {
    skuId: string;
    itemId: string;
    price: number;
    originalPrice: number;
    status: string;
    gmtCreate: string;
    gmtModified: string;
    inventory?: number;
    remainInventory?: number;
    materialList?: MaterialInfo[];
    skuPropertyList?: ItemSkuPropertyInfo[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class MaterialInfo extends $tea.Model {
    materialId: string;
    type: string;
    content: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ItemSkuPropertyInfo extends $tea.Model {
    propertyKey: string;
    propertyValue: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ItemExtInfo extends $tea.Model {
    extKey: string;
    extValue: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ItemPropertyInfo extends $tea.Model {
    propertyKey: string;
    propertyValueList: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantItemQueryResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    itemList?: CmItemInfo[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantItemQueryRequest extends $tea.Model {
    scene: string;
    targetId: string;
    targetType: string;
    status?: string;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantItemBatchQueryRequest extends $tea.Model {
    itemIdList: string[];
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantItemFileUploadRequest extends $tea.Model {
    scene: string;
    fileContent: string[];
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantItemFileUploadResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    materialId: string;
    materialKey: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantItemDeleteRequest extends $tea.Model {
    itemId: string;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantItemDeleteResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantItemCreateResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    itemId: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class SkuCreateInfo extends $tea.Model {
    price: number;
    originalPrice: number;
    inventory?: number;
    materialList?: MaterialCreateInfo[];
    propertyList?: ItemSkuPropertyInfo[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class MaterialCreateInfo extends $tea.Model {
    type: string;
    content: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantItemCreateRequest extends $tea.Model {
    scene: string;
    targetId: string;
    targetType: string;
    standardCategoryId?: string;
    name: string;
    description?: string;
    type: string;
    extInfo: ItemExtInfo[];
    skuList: SkuCreateInfo[];
    materialList?: MaterialCreateInfo[];
    propertyList?: ItemPropertyInfo[];
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantItemModifyRequest extends $tea.Model {
    itemId: string;
    standardCategoryId?: string;
    name: string;
    description?: string;
    type: string;
    status: string;
    materialList?: MaterialModifyInfo[];
    skuList: SkuModifyInfo[];
    extInfo?: ItemExtInfo[];
    propertyList?: ItemPropertyInfo[];
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class SkuModifyInfo extends $tea.Model {
    skuId?: string;
    price: number;
    originalPrice: number;
    inventory?: number;
    materialList?: MaterialModifyInfo[];
    propertyList?: ItemSkuPropertyInfo[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class MaterialModifyInfo extends $tea.Model {
    type: string;
    content: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantItemModifyResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client {
    _kernel: CloudKernel;
    constructor(_kernel: CloudKernel);
    query(req: AlipayMerchantItemQueryRequest): Promise<AlipayMerchantItemQueryResponse>;
    uploadFile(req: AlipayMerchantItemFileUploadRequest): Promise<AlipayMerchantItemFileUploadResponse>;
    batchquery(req: AlipayMerchantItemBatchQueryRequest): Promise<AlipayMerchantItemQueryResponse>;
    delete(req: AlipayMerchantItemDeleteRequest): Promise<AlipayMerchantItemDeleteResponse>;
    create(req: AlipayMerchantItemCreateRequest): Promise<AlipayMerchantItemCreateResponse>;
    modify(req: AlipayMerchantItemModifyRequest): Promise<AlipayMerchantItemModifyResponse>;
}
