import CloudKernel from 'mpserverless-sdk-core';
import * as $tea from '@alicloud/tea-typescript';
export declare class UserInfomationInfo extends $tea.Model {
    name?: string;
    mobile?: string;
    certType?: string;
    certNo?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ItemOrderInfo extends $tea.Model {
    skuId?: string;
    itemId?: string;
    itemName: string;
    unitPrice?: string;
    quantity?: number;
    extInfo?: OrderExtInfo[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OrderLogisticsInformationRequestInfo extends $tea.Model {
    trackingNo: string;
    logisticsCode?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OrderExtInfo extends $tea.Model {
    extKey: string;
    extValue: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OrderShopInfo extends $tea.Model {
    merchantShopId?: string;
    name?: string;
    address?: string;
    phoneNum?: string;
    merchantShopLinkPage?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class TicketInfo extends $tea.Model {
    type: string;
    ticketNo: string;
    address?: string;
    time?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantOrderSyncRequest extends $tea.Model {
    outBizNo: string;
    recordId?: string;
    buyerId?: string;
    sellerId?: string;
    partnerId?: string;
    orderType: string;
    orderAuthCode?: string;
    amount: string;
    payAmount: string;
    discountAmount?: string;
    tradeNo?: string;
    tradeType?: string;
    buyerInfo?: UserInfomationInfo;
    payTimeoutExpress?: string;
    itemOrderList?: ItemOrderInfo[];
    logisticsInfoList?: OrderLogisticsInformationRequestInfo[];
    extInfo?: OrderExtInfo[];
    shopInfo?: OrderShopInfo;
    ticketInfo?: TicketInfo;
    orderCreateTime?: string;
    orderPayTime?: string;
    sendMsg?: string;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantOrderSyncResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    recordId: string;
    orderId: string;
    orderStatus?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayOrderDataOpenapiResultInfo extends $tea.Model {
    orderId: string;
    orderStatus: string;
    bizNoList: string[];
    buyerId: string;
    merchantUserId: string;
    tinyAppId?: string;
    tinyAppName?: string;
    tinyAppLogo?: string;
    amount: string;
    discountAmount: string;
    realPayAmount: string;
    itemList: ItemOrderInfoResultInfo[];
    gmtCreate: string;
    gmtPay?: string;
    logisticsInfoList?: OrderLogisticsInformationInfo[];
    merchantOrderLinkPage: string;
    orderDetailLinkPage: string;
    extInfo?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ItemOrderInfoResultInfo extends $tea.Model {
    itemName: string;
    unitPrice: string;
    quantity: number;
    imageUrl: string;
    merchantItemLinkPage: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class OrderLogisticsInformationInfo extends $tea.Model {
    trackingNo: string;
    expressCompany: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantOrderBatchQueryRequest extends $tea.Model {
    buyerId: string;
    merchantAppId?: string;
    orderSource?: string;
    startTime: string;
    endTime: string;
    size?: string;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantOrderBatchQueryResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    hasNextPage: boolean;
    orderList?: AlipayOrderDataOpenapiResultInfo[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantOrderQueryRequest extends $tea.Model {
    orderId?: string;
    bizNo?: string;
    buyerId?: string;
    appAuthToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AlipayMerchantOrderQueryResponse extends $tea.Model {
    code: string;
    msg: string;
    subCode: string;
    subMsg: string;
    orderInfo: AlipayOrderDataOpenapiResultInfo;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client {
    _kernel: CloudKernel;
    constructor(_kernel: CloudKernel);
    sync(req: AlipayMerchantOrderSyncRequest): Promise<AlipayMerchantOrderSyncResponse>;
    batchquery(req: AlipayMerchantOrderBatchQueryRequest): Promise<AlipayMerchantOrderBatchQueryResponse>;
    query(req: AlipayMerchantOrderQueryRequest): Promise<AlipayMerchantOrderQueryResponse>;
}
