// This file is auto-generated, don't edit it
import CloudKernel from 'mpserverless-sdk-core';
import * as $tea from '@alicloud/tea-typescript';

export class AlipayFundTransUniTransferRequest extends $tea.Model {
  outBizNo: string;
  transAmount: string;
  payee: {[key: string]: any};
  orderTitle: string;
  appAuthToken?: string;
  static names(): { [key: string]: string } {
    return {
      outBizNo: 'outBizNo',
      transAmount: 'transAmount',
      payee: 'payee',
      orderTitle: 'orderTitle',
      appAuthToken: 'appAuthToken',
    };
  }

  static types(): { [key: string]: any } {
    return {
      outBizNo: 'string',
      transAmount: 'string',
      payee: { 'type': 'map', 'keyType': 'string', 'valueType': 'any' },
      orderTitle: 'string',
      appAuthToken: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayFundTransUniTransferResponse extends $tea.Model {
  code: string;
  msg: string;
  subCode: string;
  subMsg: string;
  status: string;
  transDate: string;
  outBizNo: string;
  orderId: string;
  payFundOrderId: string;
  static names(): { [key: string]: string } {
    return {
      code: 'code',
      msg: 'msg',
      subCode: 'subCode',
      subMsg: 'subMsg',
      status: 'status',
      transDate: 'transDate',
      outBizNo: 'outBizNo',
      orderId: 'orderId',
      payFundOrderId: 'payFundOrderId',
    };
  }

  static types(): { [key: string]: any } {
    return {
      code: 'string',
      msg: 'string',
      subCode: 'string',
      subMsg: 'string',
      status: 'string',
      transDate: 'string',
      outBizNo: 'string',
      orderId: 'string',
      payFundOrderId: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayFundTransCommonQueryRequest extends $tea.Model {
  payFundOrderId: string;
  appAuthToken?: string;
  static names(): { [key: string]: string } {
    return {
      payFundOrderId: 'payFundOrderId',
      appAuthToken: 'appAuthToken',
    };
  }

  static types(): { [key: string]: any } {
    return {
      payFundOrderId: 'string',
      appAuthToken: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayFundTransCommonQueryResponse extends $tea.Model {
  code: string;
  msg: string;
  subCode: string;
  subMsg: string;
  outBizNo: string;
  orderId: string;
  payFundOrderId: string;
  status: string;
  transAmount: string;
  payDate: string;
  arrivalTimeEnd: string;
  orderFee: string;
  errorCode: string;
  failReason: string;
  static names(): { [key: string]: string } {
    return {
      code: 'code',
      msg: 'msg',
      subCode: 'subCode',
      subMsg: 'subMsg',
      outBizNo: 'outBizNo',
      orderId: 'orderId',
      payFundOrderId: 'payFundOrderId',
      status: 'status',
      transAmount: 'transAmount',
      payDate: 'payDate',
      arrivalTimeEnd: 'arrivalTimeEnd',
      orderFee: 'orderFee',
      errorCode: 'errorCode',
      failReason: 'failReason',
    };
  }

  static types(): { [key: string]: any } {
    return {
      code: 'string',
      msg: 'string',
      subCode: 'string',
      subMsg: 'string',
      outBizNo: 'string',
      orderId: 'string',
      payFundOrderId: 'string',
      status: 'string',
      transAmount: 'string',
      payDate: 'string',
      arrivalTimeEnd: 'string',
      orderFee: 'string',
      errorCode: 'string',
      failReason: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}


export default class Client {
  _kernel: CloudKernel;

  constructor(_kernel: CloudKernel) {
    this._kernel = _kernel;
  }


  async transfer(req: AlipayFundTransUniTransferRequest): Promise<AlipayFundTransUniTransferResponse> {
    let params : {[key: string ]: any} = {
      out_biz_no: req.outBizNo,
      trans_amount: req.transAmount,
      product_code: "TRANS_ACCOUNT_NO_PWD",
      biz_scene: "DIRECT_TRANSFER",
      payee_info: req.payee,
      order_title: req.orderTitle,
      appAuthToken: req.appAuthToken,
    };
    return $tea.cast<AlipayFundTransUniTransferResponse>(await this._kernel.invoke("alipay.fund.trans.uni.transfer", params), new AlipayFundTransUniTransferResponse({}));
  }

  async query(req: AlipayFundTransCommonQueryRequest): Promise<AlipayFundTransCommonQueryResponse> {
    let params : {[key: string ]: any} = {
      pay_fund_order_id: req.payFundOrderId,
      product_code: "TRANS_ACCOUNT_NO_PWD",
      biz_scene: "DIRECT_TRANSFER",
      appAuthToken: req.appAuthToken,
    };
    return $tea.cast<AlipayFundTransCommonQueryResponse>(await this._kernel.invoke("alipay.fund.trans.common.query", params), new AlipayFundTransCommonQueryResponse({}));
  }

}
