// This file is auto-generated, don't edit it
import CloudKernel from 'mpserverless-sdk-core';
import * as $tea from '@alicloud/tea-typescript';

export class CmItemInfo extends $tea.Model {
  itemId: string;
  type: string;
  status: string;
  frontCategoryIdList: string[];
  standardCategoryId?: string;
  targetId: string;
  description?: string;
  targetType: string;
  name: string;
  gmtCreate: string;
  gmtModified: string;
  skuList: CmItemSkuInfo[];
  materialList?: MaterialInfo[];
  extInfo?: ItemExtInfo[];
  propertyList?: ItemPropertyInfo[];
  static names(): { [key: string]: string } {
    return {
      itemId: 'itemId',
      type: 'type',
      status: 'status',
      frontCategoryIdList: 'frontCategoryIdList',
      standardCategoryId: 'standardCategoryId',
      targetId: 'targetId',
      description: 'description',
      targetType: 'targetType',
      name: 'name',
      gmtCreate: 'gmtCreate',
      gmtModified: 'gmtModified',
      skuList: 'skuList',
      materialList: 'materialList',
      extInfo: 'extInfo',
      propertyList: 'propertyList',
    };
  }

  static types(): { [key: string]: any } {
    return {
      itemId: 'string',
      type: 'string',
      status: 'string',
      frontCategoryIdList: { 'type': 'array', 'itemType': 'string' },
      standardCategoryId: 'string',
      targetId: 'string',
      description: 'string',
      targetType: 'string',
      name: 'string',
      gmtCreate: 'string',
      gmtModified: 'string',
      skuList: { 'type': 'array', 'itemType': CmItemSkuInfo },
      materialList: { 'type': 'array', 'itemType': MaterialInfo },
      extInfo: { 'type': 'array', 'itemType': ItemExtInfo },
      propertyList: { 'type': 'array', 'itemType': ItemPropertyInfo },
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class CmItemSkuInfo extends $tea.Model {
  skuId: string;
  itemId: string;
  price: number;
  originalPrice: number;
  status: string;
  gmtCreate: string;
  gmtModified: string;
  inventory?: number;
  remainInventory?: number;
  materialList?: MaterialInfo[];
  skuPropertyList?: ItemSkuPropertyInfo[];
  static names(): { [key: string]: string } {
    return {
      skuId: 'skuId',
      itemId: 'itemId',
      price: 'price',
      originalPrice: 'originalPrice',
      status: 'status',
      gmtCreate: 'gmtCreate',
      gmtModified: 'gmtModified',
      inventory: 'inventory',
      remainInventory: 'remainInventory',
      materialList: 'materialList',
      skuPropertyList: 'skuPropertyList',
    };
  }

  static types(): { [key: string]: any } {
    return {
      skuId: 'string',
      itemId: 'string',
      price: 'number',
      originalPrice: 'number',
      status: 'string',
      gmtCreate: 'string',
      gmtModified: 'string',
      inventory: 'number',
      remainInventory: 'number',
      materialList: { 'type': 'array', 'itemType': MaterialInfo },
      skuPropertyList: { 'type': 'array', 'itemType': ItemSkuPropertyInfo },
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class MaterialInfo extends $tea.Model {
  materialId: string;
  type: string;
  content: string;
  static names(): { [key: string]: string } {
    return {
      materialId: 'materialId',
      type: 'type',
      content: 'content',
    };
  }

  static types(): { [key: string]: any } {
    return {
      materialId: 'string',
      type: 'string',
      content: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class ItemSkuPropertyInfo extends $tea.Model {
  propertyKey: string;
  propertyValue: string;
  static names(): { [key: string]: string } {
    return {
      propertyKey: 'propertyKey',
      propertyValue: 'propertyValue',
    };
  }

  static types(): { [key: string]: any } {
    return {
      propertyKey: 'string',
      propertyValue: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class ItemExtInfo extends $tea.Model {
  extKey: string;
  extValue: string;
  static names(): { [key: string]: string } {
    return {
      extKey: 'extKey',
      extValue: 'extValue',
    };
  }

  static types(): { [key: string]: any } {
    return {
      extKey: 'string',
      extValue: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class ItemPropertyInfo extends $tea.Model {
  propertyKey: string;
  propertyValueList: string[];
  static names(): { [key: string]: string } {
    return {
      propertyKey: 'propertyKey',
      propertyValueList: 'propertyValueList',
    };
  }

  static types(): { [key: string]: any } {
    return {
      propertyKey: 'string',
      propertyValueList: { 'type': 'array', 'itemType': 'string' },
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayMerchantItemQueryResponse extends $tea.Model {
  code: string;
  msg: string;
  subCode: string;
  subMsg: string;
  itemList?: CmItemInfo[];
  static names(): { [key: string]: string } {
    return {
      code: 'code',
      msg: 'msg',
      subCode: 'subCode',
      subMsg: 'subMsg',
      itemList: 'itemList',
    };
  }

  static types(): { [key: string]: any } {
    return {
      code: 'string',
      msg: 'string',
      subCode: 'string',
      subMsg: 'string',
      itemList: { 'type': 'array', 'itemType': CmItemInfo },
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayMerchantItemQueryRequest extends $tea.Model {
  scene: string;
  targetId: string;
  targetType: string;
  status?: string;
  appAuthToken?: string;
  static names(): { [key: string]: string } {
    return {
      scene: 'scene',
      targetId: 'targetId',
      targetType: 'targetType',
      status: 'status',
      appAuthToken: 'appAuthToken',
    };
  }

  static types(): { [key: string]: any } {
    return {
      scene: 'string',
      targetId: 'string',
      targetType: 'string',
      status: 'string',
      appAuthToken: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayMerchantItemBatchQueryRequest extends $tea.Model {
  itemIdList: string[];
  appAuthToken?: string;
  static names(): { [key: string]: string } {
    return {
      itemIdList: 'itemIdList',
      appAuthToken: 'appAuthToken',
    };
  }

  static types(): { [key: string]: any } {
    return {
      itemIdList: { 'type': 'array', 'itemType': 'string' },
      appAuthToken: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayMerchantItemFileUploadRequest extends $tea.Model {
  scene: string;
  fileContent: string[];
  appAuthToken?: string;
  static names(): { [key: string]: string } {
    return {
      scene: 'scene',
      fileContent: 'fileContent',
      appAuthToken: 'appAuthToken',
    };
  }

  static types(): { [key: string]: any } {
    return {
      scene: 'string',
      fileContent: { 'type': 'array', 'itemType': 'string' },
      appAuthToken: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayMerchantItemFileUploadResponse extends $tea.Model {
  code: string;
  msg: string;
  subCode: string;
  subMsg: string;
  materialId: string;
  materialKey: string;
  static names(): { [key: string]: string } {
    return {
      code: 'code',
      msg: 'msg',
      subCode: 'subCode',
      subMsg: 'subMsg',
      materialId: 'materialId',
      materialKey: 'materialKey',
    };
  }

  static types(): { [key: string]: any } {
    return {
      code: 'string',
      msg: 'string',
      subCode: 'string',
      subMsg: 'string',
      materialId: 'string',
      materialKey: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayMerchantItemDeleteRequest extends $tea.Model {
  itemId: string;
  appAuthToken?: string;
  static names(): { [key: string]: string } {
    return {
      itemId: 'itemId',
      appAuthToken: 'appAuthToken',
    };
  }

  static types(): { [key: string]: any } {
    return {
      itemId: 'string',
      appAuthToken: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayMerchantItemDeleteResponse extends $tea.Model {
  code: string;
  msg: string;
  subCode: string;
  subMsg: string;
  static names(): { [key: string]: string } {
    return {
      code: 'code',
      msg: 'msg',
      subCode: 'subCode',
      subMsg: 'subMsg',
    };
  }

  static types(): { [key: string]: any } {
    return {
      code: 'string',
      msg: 'string',
      subCode: 'string',
      subMsg: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayMerchantItemCreateResponse extends $tea.Model {
  code: string;
  msg: string;
  subCode: string;
  subMsg: string;
  itemId: string;
  static names(): { [key: string]: string } {
    return {
      code: 'code',
      msg: 'msg',
      subCode: 'subCode',
      subMsg: 'subMsg',
      itemId: 'itemId',
    };
  }

  static types(): { [key: string]: any } {
    return {
      code: 'string',
      msg: 'string',
      subCode: 'string',
      subMsg: 'string',
      itemId: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class SkuCreateInfo extends $tea.Model {
  price: number;
  originalPrice: number;
  inventory?: number;
  materialList?: MaterialCreateInfo[];
  propertyList?: ItemSkuPropertyInfo[];
  static names(): { [key: string]: string } {
    return {
      price: 'price',
      originalPrice: 'originalPrice',
      inventory: 'inventory',
      materialList: 'materialList',
      propertyList: 'propertyList',
    };
  }

  static types(): { [key: string]: any } {
    return {
      price: 'number',
      originalPrice: 'number',
      inventory: 'number',
      materialList: { 'type': 'array', 'itemType': MaterialCreateInfo },
      propertyList: { 'type': 'array', 'itemType': ItemSkuPropertyInfo },
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class MaterialCreateInfo extends $tea.Model {
  type: string;
  content: string;
  static names(): { [key: string]: string } {
    return {
      type: 'type',
      content: 'content',
    };
  }

  static types(): { [key: string]: any } {
    return {
      type: 'string',
      content: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayMerchantItemCreateRequest extends $tea.Model {
  scene: string;
  targetId: string;
  targetType: string;
  standardCategoryId?: string;
  name: string;
  description?: string;
  type: string;
  extInfo: ItemExtInfo[];
  skuList: SkuCreateInfo[];
  materialList?: MaterialCreateInfo[];
  propertyList?: ItemPropertyInfo[];
  appAuthToken?: string;
  static names(): { [key: string]: string } {
    return {
      scene: 'scene',
      targetId: 'targetId',
      targetType: 'targetType',
      standardCategoryId: 'standardCategoryId',
      name: 'name',
      description: 'description',
      type: 'type',
      extInfo: 'extInfo',
      skuList: 'skuList',
      materialList: 'materialList',
      propertyList: 'propertyList',
      appAuthToken: 'appAuthToken',
    };
  }

  static types(): { [key: string]: any } {
    return {
      scene: 'string',
      targetId: 'string',
      targetType: 'string',
      standardCategoryId: 'string',
      name: 'string',
      description: 'string',
      type: 'string',
      extInfo: { 'type': 'array', 'itemType': ItemExtInfo },
      skuList: { 'type': 'array', 'itemType': SkuCreateInfo },
      materialList: { 'type': 'array', 'itemType': MaterialCreateInfo },
      propertyList: { 'type': 'array', 'itemType': ItemPropertyInfo },
      appAuthToken: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayMerchantItemModifyRequest extends $tea.Model {
  itemId: string;
  standardCategoryId?: string;
  name: string;
  description?: string;
  type: string;
  status: string;
  materialList?: MaterialModifyInfo[];
  skuList: SkuModifyInfo[];
  extInfo?: ItemExtInfo[];
  propertyList?: ItemPropertyInfo[];
  appAuthToken?: string;
  static names(): { [key: string]: string } {
    return {
      itemId: 'itemId',
      standardCategoryId: 'standardCategoryId',
      name: 'name',
      description: 'description',
      type: 'type',
      status: 'status',
      materialList: 'materialList',
      skuList: 'skuList',
      extInfo: 'extInfo',
      propertyList: 'propertyList',
      appAuthToken: 'appAuthToken',
    };
  }

  static types(): { [key: string]: any } {
    return {
      itemId: 'string',
      standardCategoryId: 'string',
      name: 'string',
      description: 'string',
      type: 'string',
      status: 'string',
      materialList: { 'type': 'array', 'itemType': MaterialModifyInfo },
      skuList: { 'type': 'array', 'itemType': SkuModifyInfo },
      extInfo: { 'type': 'array', 'itemType': ItemExtInfo },
      propertyList: { 'type': 'array', 'itemType': ItemPropertyInfo },
      appAuthToken: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class SkuModifyInfo extends $tea.Model {
  skuId?: string;
  price: number;
  originalPrice: number;
  inventory?: number;
  materialList?: MaterialModifyInfo[];
  propertyList?: ItemSkuPropertyInfo[];
  static names(): { [key: string]: string } {
    return {
      skuId: 'skuId',
      price: 'price',
      originalPrice: 'originalPrice',
      inventory: 'inventory',
      materialList: 'materialList',
      propertyList: 'propertyList',
    };
  }

  static types(): { [key: string]: any } {
    return {
      skuId: 'string',
      price: 'number',
      originalPrice: 'number',
      inventory: 'number',
      materialList: { 'type': 'array', 'itemType': MaterialModifyInfo },
      propertyList: { 'type': 'array', 'itemType': ItemSkuPropertyInfo },
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class MaterialModifyInfo extends $tea.Model {
  type: string;
  content: string;
  static names(): { [key: string]: string } {
    return {
      type: 'type',
      content: 'content',
    };
  }

  static types(): { [key: string]: any } {
    return {
      type: 'string',
      content: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}

export class AlipayMerchantItemModifyResponse extends $tea.Model {
  code: string;
  msg: string;
  subCode: string;
  subMsg: string;
  static names(): { [key: string]: string } {
    return {
      code: 'code',
      msg: 'msg',
      subCode: 'subCode',
      subMsg: 'subMsg',
    };
  }

  static types(): { [key: string]: any } {
    return {
      code: 'string',
      msg: 'string',
      subCode: 'string',
      subMsg: 'string',
    };
  }

  constructor(map?: { [key: string]: any }) {
    super(map);
  }
}


export default class Client {
  _kernel: CloudKernel;

  constructor(_kernel: CloudKernel) {
    this._kernel = _kernel;
  }


  async query(req: AlipayMerchantItemQueryRequest): Promise<AlipayMerchantItemQueryResponse> {
    let params : {[key: string ]: any} = {
      scene: req.scene,
      status: req.status,
      target_id: req.targetId,
      target_type: req.targetType,
      appAuthToken: req.appAuthToken,
    };
    return $tea.cast<AlipayMerchantItemQueryResponse>(await this._kernel.invoke("ant.merchant.expand.item.open.query", params), new AlipayMerchantItemQueryResponse({}));
  }

  async uploadFile(req: AlipayMerchantItemFileUploadRequest): Promise<AlipayMerchantItemFileUploadResponse> {
    let params : {[key: string ]: any} = {
      scene: req.scene,
      file_content: req.fileContent,
      appAuthToken: req.appAuthToken,
    };
    return $tea.cast<AlipayMerchantItemFileUploadResponse>(await this._kernel.invoke("alipay.merchant.item.file.upload", params), new AlipayMerchantItemFileUploadResponse({}));
  }

  async batchquery(req: AlipayMerchantItemBatchQueryRequest): Promise<AlipayMerchantItemQueryResponse> {
    let params : {[key: string ]: any} = {
      item_id_list: req.itemIdList,
      temp_field: "",
      appAuthToken: req.appAuthToken,
    };
    return $tea.cast<AlipayMerchantItemQueryResponse>(await this._kernel.invoke("ant.merchant.expand.item.open.batchquery", params), new AlipayMerchantItemQueryResponse({}));
  }

  async delete(req: AlipayMerchantItemDeleteRequest): Promise<AlipayMerchantItemDeleteResponse> {
    let params : {[key: string ]: any} = {
      item_id: req.itemId,
      appAuthToken: req.appAuthToken,
    };
    return $tea.cast<AlipayMerchantItemDeleteResponse>(await this._kernel.invoke("ant.merchant.expand.item.open.delete", params), new AlipayMerchantItemDeleteResponse({}));
  }

  async create(req: AlipayMerchantItemCreateRequest): Promise<AlipayMerchantItemCreateResponse> {
    let params : {[key: string ]: any} = {
      scene: req.scene,
      target_id: req.targetId,
      target_type: req.targetType,
      standard_category_id: req.standardCategoryId,
      name: req.name,
      description: req.description,
      type: req.type,
      ext_info: req.extInfo,
      sku_list: req.skuList,
      material_list: req.materialList,
      property_list: req.propertyList,
      appAuthToken: req.appAuthToken,
    };
    return $tea.cast<AlipayMerchantItemCreateResponse>(await this._kernel.invoke("ant.merchant.expand.item.open.create", params), new AlipayMerchantItemCreateResponse({}));
  }

  async modify(req: AlipayMerchantItemModifyRequest): Promise<AlipayMerchantItemModifyResponse> {
    let params : {[key: string ]: any} = {
      item_id: req.itemId,
      standard_category_id: req.standardCategoryId,
      name: req.name,
      description: req.description,
      type: req.type,
      ext_info: req.extInfo,
      sku_list: req.skuList,
      material_list: req.materialList,
      property_list: req.propertyList,
      appAuthToken: req.appAuthToken,
    };
    return $tea.cast<AlipayMerchantItemModifyResponse>(await this._kernel.invoke("ant.merchant.expand.item.open.modify", params), new AlipayMerchantItemModifyResponse({}));
  }

}
